Package org.eclipse.birt.report.engine.api

# Interface IDynamicFilterParameterDefn

All Superinterfaces:
  `IParameterDefn`, `IParameterDefnBase`

public interface IDynamicFilterParameterDefn extends IParameterDefn

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`DISPLAY_TYPE_ADVANCED`
`static final int`
`DISPLAY_TYPE_SIMPLE`

### Fields inherited from interface org.eclipse.birt.report.engine.api.IParameterDefn

`SELECTION_LIST_DYNAMIC, SELECTION_LIST_NONE, SELECTION_LIST_STATIC, TYPE_ANY, TYPE_BOOLEAN, TYPE_DATE, TYPE_DATE_TIME, TYPE_DECIMAL, TYPE_FLOAT, TYPE_INTEGER, TYPE_STRING, TYPE_TIME`

### Fields inherited from interface org.eclipse.birt.report.engine.api.IParameterDefnBase

`CASCADING_PARAMETER_GROUP, FILTER_PARAMETER, LIST_PARAMETER, PARAMETER_GROUP, SCALAR_PARAMETER, TABLE_PARAMETER`

## Method Summary

Modifier and Type
Method
Description
`String`
`getColumn()`
`int`
`getDisplayType()`
`List<String>`
`getFilterOperatorDisplayList()`
`List<String>`
`getFilterOperatorList()`

### Methods inherited from interface org.eclipse.birt.report.engine.api.IParameterDefn

`getDataType, getSelectionList, getSelectionListType, isHidden, isRequired`

### Methods inherited from interface org.eclipse.birt.report.engine.api.IParameterDefnBase

`getDisplayName, getHandle, getHelpText, getName, getParameterType, getPromptText, getTypeName, getUserPropertyValue, getUserPropertyValues`

## Field Details

### DISPLAY_TYPE_SIMPLE

static final int DISPLAY_TYPE_SIMPLE

See Also:
  - Constant Field Values

### DISPLAY_TYPE_ADVANCED

static final int DISPLAY_TYPE_ADVANCED

See Also:
  - Constant Field Values

## Method Details

### getDisplayType

int getDisplayType()

### getColumn

String getColumn()

### getFilterOperatorList

List<String> getFilterOperatorList()

### getFilterOperatorDisplayList

List<String> getFilterOperatorDisplayList()